> For the complete documentation index, see [llms.txt](https://developers.yumpu.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.yumpu.com/api/member/memberpost.md).

# Post

## Create a new member

### Parameters:

| Name         | Optional / Required | Data type | Description                                                                                                               | Default |
| ------------ | ------------------- | --------- | ------------------------------------------------------------------------------------------------------------------------- | ------- |
| username     | required            | String    | min. 2 characters, max. 50 characters, allowed characters a-z, 0-9, dot (.), @, hyphen (-) and underscore (\_)            |         |
| password     | required            | String    | The value must be transmitted as md5                                                                                      |         |
| comment      | optional            | String    | min. 4 characters, max. 50 characters                                                                                     |         |
| access\_tags | optional            | String    | One or multiple access\_tag ids (myid1 or myid1,myid2)                                                                    |         |
| kiosks       | optional            | String    | One or multiple kiosk ids (webkiosk\_123 or webkiosk\_123,appkiosk\_456), values must start with webkiosk\_ or appkiosk\_ |         |

### Demo

&#x20;URL Find your token on - [yumpu.com](https://www.yumpu.com/en/account/profile/api) Token&#x20;

&#x20;username  password&#x20;

#### Optional parameters:

&#x20;comment  access\_tags  kiosks&#x20;

Add optional parametersRun request

```
```

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X POST -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" -d "username=user8" -d "password=f5bd63761dfd505514a7c94501825441" -d "comment=user8" -d "access_tags=zxeeYReHnxeg8RqZ" "https://api.yumpu.com/2.0/account/member.json"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$data = array(
    'username' => 'user8',
    'password' => 'f5bd63761dfd505514a7c94501825441',
    'comment' => 'user8',
    'access_tags' => 'zxeeYReHnxeg8RqZ'
);
$postMember = $yumpu->postMember($data);
print_r($postMember);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  username: 'user7',
  password: 'f5bd63761dfd505514a7c94501825441',
  comment: 'user8',
  access_tags: 'zxeeYReHnxeg8RqZ'
};
yumpu.postMember(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String username = "user7";
String password = "mypassword";
String[] params = {"comment=user8"};
System.out.println(y.postMember(username, password, params));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```javascript
{
  "member": {
    "id": "GuTIyoCZmWlnHjXP",
    "create_date": "2015-02-03 09:28:07",
    "update_date": "0000-00-00 00:00:00",
    "username": "user7",
    "password": "f5bd63761dfd505514a7c94501825441",
    "comment": "user8",
    "access_tags": [
      {
        "id": "zxeeYReHnxeg8RqZ",
        "name": "accesstag1",
        "default": true
      }
    ],
    "kiosks": [

    ]
  },
  "state": "success",
  "completed_in": "0.1563"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.yumpu.com/api/member/memberpost.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
